@import "../utils/variables";
@import "../utils/mixin";

.share {
  display: inline-block;
  padding: 15px 50px 20px 51px;
  text-transform: uppercase;
  letter-spacing: -2px;
  -moz-transform: rotate3D(-11, 6, -2, 27deg) skewX(-2deg) translateX(-7px);
  -webkit-transform: rotate3D(-11, 6, -2, 27deg) skewX(-2deg) translateX(-7px);
  -o-transform: rotate3D(-11, 6, -2, 27deg) skewX(-2deg) translateX(-7px);
  -ms-transform: rotate3D(-11, 6, -2, 27deg) skewX(-2deg) translateX(-7px);

  @include breakpoint($desktop) {
    padding: 23px 28px;
  }

  @include breakpoint($tablet) {
    -moz-transform: rotate3D(-11, 6, -2.5, 27deg) skewX(-2deg) translateX(-2px);
    -webkit-transform: rotate3D(-11, 6, -2.5, 27deg) skewX(-2deg) translateX(-2px);
    -o-transform: rotate3D(-11, 6, -2.5, 27deg) skewX(-2deg) translateX(-2px);
    -ms-transform: rotate3D(-11, 6, -2.5, 27deg) skewX(-2deg) translateX(-2px);
    padding: 14px 25px;
  }

  @include breakpoint($mobile) {
    -moz-transform: rotate3D(-13, 6, -2.5, 27deg) skewX(-2deg) translateX(-2px);
    -webkit-transform: rotate3D(-13, 6, -2.5, 27deg) skewX(-2deg) translateX(-2px);
    -o-transform: rotate3D(-13, 6, -2.5, 27deg) skewX(-2deg) translateX(-2px);
    -ms-transform: rotate3D(-13, 6, -2.5, 27deg) skewX(-2deg) translateX(-2px);
    text-align: center;
    padding: 11px 4px;
    letter-spacing: -1px;
  }

  &.share-bonus {
    @include breakpoint($mobile) {
      min-width: 340px;
    }
  }

  &.share-freebet {
    margin-top: -4px;
    padding: 5px 56px 17px 56px;

    @include breakpoint($desktop) {
      margin-top: -7px;
      padding: 5px 56px 17px 27px;
    }

    @include breakpoint($tablet) {
      margin-top: -5px;
      padding: 8px 33px 10px 27px;
    }

    @include breakpoint($mobile) {
      min-width: 276px;
      margin-top: -4px;
      padding: 7px 15px;
    }

    .share__price {
      @include breakpoint($mobile) {
        font-size: $font-size-base + 7;
        line-height: $line-height-base - 2;
      }
    }
  }
}

.share__content {
  font-size: $font-size-base + 34;
  line-height: $line-height-base + 43;
  text-transform: uppercase;

  @include breakpoint($desktop) {
    font-size: $font-size-base + 23;
    line-height: $line-height-base + 24;
  }

  @include breakpoint($tablet) {
    font-size: $font-size-base + 8;
    line-height: $line-height-base + 9;
  }

  @include breakpoint($mobile) {
    font-size: $font-size-base + 2;
    line-height: $line-height-base + 4;
  }
}

.share__price {
  font-size: $font-size-base + 47;
  line-height: $line-height-base + 43;
  margin-left: 15px;

  @include breakpoint($desktop) {
    font-size: $font-size-base + 38;
    line-height: $line-height-base + 39;
  }

  @include breakpoint($tablet) {
    font-size: $font-size-base + 21;
    line-height: $line-height-base + 21;
  }

  @include breakpoint($mobile) {
    font-size: $font-size-base + 12;
    line-height: $line-height-base + 4
  }
}

.share-freebet__text {
  font-size: $font-size-base + 24;
  line-height: $line-height-base + 31;

  @include breakpoint($desktop) {
    font-size: $font-size-base + 19;
    line-height: $line-height-base + 22;
  }

  @include breakpoint($tablet) {
    font-size: $font-size-base + 6;
    line-height: $line-height-base + 4;
  }

  @include breakpoint($mobile) {
    font-size: $font-size-base - 3;
    line-height: $line-height-base - 2;
  }
}